# Barcode & Bankcard

## Barcode

### The method use to Start Barcode scanning is

```
accura.startBarcode(accuraConfs, barcodeType, function (results), function (error));
```

### *Parameters:*

**accuraConfs**: {'enableLogs':false}, **barcodeType**: String(Available from the license)

### ***Response:***

**Success:** JSON String Response

**Error:** String

### The example function is shown below

```
function startBarcode() {

   var accuraConfs = {};
   accura.startBarcode(accuraConfs, barcodeSelected, function (results) {
      //Result from the SDK
   }, function (error){
       alert(error);
   })
}
```

## Bankcard

### The method use to Start Bankcard scanning is

```
accura.startBankCard(accuraConfs, function (results), function (error));
```

### *Parameters:*

**accuraConfs**: {'enableLogs':false}

### ***Response:***

**On Success:** JSON String Response

**Error:** String

#### Example function:

```
function startBankCard() {

     var accuraConfs = {};
     accura.startBankCard(accuraConfs, function (results) {
        //Result from the SDK
     }, function (error) {
         alert(error);
     });
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/language/cordova/functions/barcode-and-bankcard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
